Get Metadata Properties

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/statuses/meta/properties

Returns the attributes of a resource along with their sort, filter, and type specifications.

Responses

  • 200 application/json

    Metadata properties returned successfully

    Hide response attributes Show response attributes object
    • name string

      Attribute name returned in the payload

    • type string

      Attribute type (Guid, String, DateTimeOffset, etc.)

    • canFilter boolean

      Whether this attribute can be filtered

    • canSort boolean

      Whether this attribute can be sorted

    • filterType string

      Whether filtering does a contains search or exact match

  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
  • 404 application/json

    Metadata not available for this resource

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
GET /v2/transactions/statuses/meta/properties
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/statuses/meta/properties' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "name": "Id",
    "type": "Guid",
    "canFilter": true,
    "canSort": true,
    "filterType": "Equals"
  }
]
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}
Response examples (404)
{
  "code": 404,
  "message": "Item not found.",
  "details": []
}